# Rename connection

Source: <https://everruns.com/docs/api/operations/rename_connection/>

[Docs](https://everruns.com/docs/)/[API reference](https://everruns.com/docs/api/)/[Operations & billing](https://everruns.com/docs/api/groups/operations-billing/)/Rename connection

# Rename connection

Preview

Rename an organization account without replacing credentials.

Public APIEverruns Cloud and self-hosted Platform

PATCH`/v1/orgs/{org}/organization-connections/{connection_id}`

See [authentication](https://everruns.com/docs/sre/runbooks/authentication/) for credentials and permissions.

## Parameters

### Path Parameters

**org**

required

string

**connection_id**

required

string format: uuid

## Request Bodyrequired

Media typeapplication/json

A display-name change that preserves the connected account credential.

object

**name**

required

string

### Example generated

```json
{
  "name": "example"
}
```

## Responses

200

### 200

Media typeapplication/json

Non-secret metadata for an organization-owned provider account.

object

**connected_at**

required

Time at which the provider account was first connected.

string format: date-time

**id**

required

Stable connection identifier used by Sandbox Templates and web search.

string format: uuid

**name**

required

Human-readable account name.

string

**provider**

required

Connector identifier, e.g. `daytona` or `brave_search`.

string

**provider_username**

Provider identity returned while validating the credential, when available.

string | null

**updated_at**

required

Time at which the account name or credential was last replaced.

string format: date-time

### Example

```json
{
  "connected_at": "2026-10-07T12:00:00Z",
  "id": "00000000-0000-0000-0000-000000000002",
  "name": "Production Daytona",
  "provider": "daytona",
  "provider_username": "platform-team",
  "updated_at": "2026-10-07T12:30:00Z"
}
```

FetchcURL

Request

```js
const url = 'https://app.everruns.com/api/v1/orgs/example/organization-connections/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';
const options = {
  method: 'PATCH',
  headers: {'Content-Type': 'application/json'},
  body: '{"name":"example"}'
};


try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

Request

```sh
curl --request PATCH \
  --url https://app.everruns.com/api/v1/orgs/example/organization-connections/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
  --header 'Content-Type: application/json' \
  --data '{ "name": "example" }'
```

Additional language examples require JavaScript. The default request example is available above.

200

200 ·

```json
{
  "connected_at": "2026-10-07T12:00:00Z",
  "id": "00000000-0000-0000-0000-000000000002",
  "name": "Production Daytona",
  "provider": "daytona",
  "provider_username": "platform-team",
  "updated_at": "2026-10-07T12:30:00Z"
}
```

## Matching endpoints